Subject: [os2genau_digest] No. 2035
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 11 Jan 2011 00:00:20 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 10 January 2011
 Number  2035
**************************************************

Subjects for today
 
1  Re:  How to install Apache? : Peter Moylan <peter at pmoylan dot org>
2  Re:  How to install Apache? : Paul Smedley <paul at smedley dot id dot au>

**= Email   1 ==========================**

Date:  Mon, 10 Jan 2011 16:50:16 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  How to install Apache?

Paul Smedley wrote:
> Hi Peter,
>
> On 8/01/11 8:53 AM, Peter Moylan wrote:
>> I downloaded Apache 2 a couple of days ago, but now I find that I don't
>> know how to configure it. Is there a how-to or something similar out
>> there?
>
> A web version of the docs is at http://httpd.apache dot org/docs/2.2/
>
> To get the OS/2 version going is pretty easy.
> In apache2/conf there should be a file httpd.conf.sample - this is a
> sample configuration file for OS/2.
>
> All you should need to do is edit paths from /apache2 to wherever you
> have apache2 installed, and edit startup.cmd (in the apache2
> directory) to the correct path, then run startup.cmd and you should
> have a listening web server running on port 80.
>
> Hope this helps,
>

Thanks, Paul; that helped a lot. I don't yet have it running, but I've
made a fair bit of progress. Originally I made the mistake of editing
httpd.conf (rather than httpd.conf.sample), where I found I had to
comment out about 60 LoadModule lines that referred to nonexistent
files. Now I've fixed that, and have reached the point where my browser
displays a page "Forbidden: you do not have permission to access /". I
guess I need to look some more at how permissions are set.

I haven't found a way of specifying the location of the cgi-bin
directory. Does this always have to be a top-level subdirectory of the
document root? With the web server I've been using so far (web2) I've
been following the principle that the documents should be kept separate
from the server - I've always believed that code and data should be
strictly isolated from each other - and that the cgi scripts should be
likewise quarantined from the HTML documents. Thus I have the directories
        D:/Servers/apache2                               for the server
        D:/Servers/pmoylan dot org/Public             for my HTML documents
        D:/Servers/cgi-bin                                 for the CGI
scripts
From what I can see so far, though, it looks as if I'm going to have to
put the CGI scripts in the same place where I keep my HTML documents.

By the way, I chose web2 after evaluating a whole lot of web servers,
mostly on the grounds that it placed a much lighter load on the
processor than the others. At the time Apache scored very badly in that
respect; but that was well over 10 years ago, so I suppose things have
improved since then. (And certainly processors have become faster, so
processor hogs have become a little more acceptable.) The reason I'm
looking at switching now is that web2 responds too slowly when the
client is a Windows machine that's too close to the server (in the same
subnet). I remember hitting the same problem many years ago with my FTP
server, and I had to insert an artificial time delay in order to make it
compatible with Windows clients. Now I want to check to see whether
Apache will have the same problem.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 10 Jan 2011 18:40:11 +1030
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  How to install Apache?

Hi Peter,

On 10/01/11 16:20, Peter Moylan wrote:
> Paul Smedley wrote:
>> Hi Peter,
>>
>> On 8/01/11 8:53 AM, Peter Moylan wrote:
>>> I downloaded Apache 2 a couple of days ago, but now I find that I don't
>>> know how to configure it. Is there a how-to or something similar out
>>> there?
>>
>> A web version of the docs is at http://httpd.apache dot org/docs/2.2/
>>
>> To get the OS/2 version going is pretty easy.
>> In apache2/conf there should be a file httpd.conf.sample - this is a
>> sample configuration file for OS/2.
>>
>> All you should need to do is edit paths from /apache2 to wherever you
>> have apache2 installed, and edit startup.cmd (in the apache2
>> directory) to the correct path, then run startup.cmd and you should
>> have a listening web server running on port 80.
>>
>> Hope this helps,
>>
>
> Thanks, Paul; that helped a lot. I don't yet have it running, but I've
> made a fair bit of progress. Originally I made the mistake of editing
> httpd.conf (rather than httpd.conf.sample), where I found I had to
> comment out about 60 LoadModule lines that referred to nonexistent
> files. Now I've fixed that, and have reached the point where my browser
> displays a page "Forbidden: you do not have permission to access /". I
> guess I need to look some more at how permissions are set.
I don't recall having to set permissions at all - flick me a copy of 
your httpd.conf if you like and I'll compare it to what I have here.

> I haven't found a way of specifying the location of the cgi-bin
> directory. Does this always have to be a top-level subdirectory of the
> document root? With the web server I've been using so far (web2) I've
> been following the principle that the documents should be kept separate
> from the server - I've always believed that code and data should be
> strictly isolated from each other - and that the cgi scripts should be
> likewise quarantined from the HTML documents. Thus I have the directories
>          D:/Servers/apache2                               for the server
>          D:/Servers/pmoylan dot org/Public             for my HTML documents
>          D:/Servers/cgi-bin                                 for the CGI
> scripts
>  From what I can see so far, though, it looks as if I'm going to have to
> put the CGI scripts in the same place where I keep my HTML documents.
Not sure - as I don't use cgi scripts here.  I do keep my html documents 
outside of the apache2 directory so that is no problem at all.

Looking at my httpd.conf I see the following:
# ScriptAlias: This controls which directories contain server scripts.
# ScriptAliases are essentially the same as Aliases, except that
# documents in the realname directory are treated as applications and
# run by the server when requested rather than as documents sent to the 
client.
# The same rules about trailing "/" apply to ScriptAlias directives as to
# Alias.
#
ScriptAlias /cgi-bin/ "/internet/apache2/cgi-bin/"

As far as I can see, this should be a 'global' cgi-bin for any documentroot.

Cheers,

Paul
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===